% Demo for 9DOF AHRS Enabled Sparkfun Sensor
% Shahriar Shahramian, Sept. 2011
% The Signal Path: http://www.TheSignalpath.com

clear all;
clc;

% MyCOM = serial('COM7', 'Baudrate', 57600); % Wired FTDI
MyCOM = serial('COM5', 'Baudrate', 9600); % Wireless Bluetooth
fopen(MyCOM);

% intro = fgets (MyCOM)
% offsets = fscanf (MyCOM, '!OFFSETS:%f,%f,%f,%f,%f,%f\n')

%%

while (true)
    fprintf (MyCOM, '');
    AHRS = fscanf (MyCOM, '!ANG:%f,%f,%f!\n')
    roll = deg2rad (AHRS (1));
    pitch = deg2rad (AHRS (2));
    yaw = deg2rad (AHRS (3));
    plot3D (0,0,0,pitch,roll,yaw,0.1,0, 'mig');
    drawnow
end

%%

fclose(MyCOM);
clear all;
clc;